2004-11-11  mwringe  <mwringe@redhat.com>

	* olstore/validation/Validator.java: change ActionErrors (deprecated) to ActionMessages

2004-09-30  Vivek Lakshmanan  <vivekl@redhat.com>

	* olstore/entity/FriendBean.java: Add id field as a cmp-field to satisfy
	  requirement for jonas-4.1.3.
	(getId): Add as cmp-field access mechanism.
	(setId): Add as cmp-field set mechanism.

2004-09-28  mwringe  <mwringe@redhat.com>

	* demo/validation/Validator.java: Add copyright header.
	* demo/util/WebUtils.java: Add copyright header.
	* demo/session/helper/UserHelperBean.java: Add copyright header.
	* demo/session/helper/TypeHelperBean.java: Add copyright header.
	* demo/session/helper/ItemHelperBean.java: Add copyright header.
	* demo/session/ShoppingCartBean.java: Add copyright header.
	* demo/session/CartDO.java: Add copyright header.
	* demo/global/LoginException.java: Add copyright header.
	* demo/global/DemoRequestProcessor.java: Add copyright header.
	* demo/framework/EJBHomeFactory.java: Add copyright header.
	* demo/form/UpdateOrderStatusForm.java: Add copyright header.
	* demo/form/DemoDynaBaseForm.java: Add copyright header.
	* demo/form/DemoBaseForm.java: Add copyright header.
	* demo/form/CreateTypeForm.java: Add copyright header.
	* demo/form/CreateItemForm.java: Add copyright header.
	* demo/form/CheckoutForm.java: Add copyright header.
	* demo/entity/UserBean.java: Add copyright header.
	* demo/entity/TypeBean.java: Add copyright header.
	* demo/entity/PropertyBean.java: Add copyright header.
	* demo/entity/PictureBean.java: Add copyright header.
	* demo/entity/OrderBean.java: Add copyright header.
	* demo/entity/ItemBean.java: Add copyright header.
	* demo/entity/FriendBean.java: Add copyright header.
	* demo/entity/CommentBean.java: Add copyright header.
	* demo/entity/AddressBean.java: Add copyright header.
	* demo/dto/UserValue.java: Add copyright header.
	* demo/dto/TypeValue.java: Add copyright header.
	* demo/dto/ShoppingCartItem.java: Add copyright header.
	* demo/dto/PropertyValue.java: Add copyright header.
	* demo/dto/PictureValue.java: Add copyright header.
	* demo/dto/OrderEntry.java: Add copyright header.
	* demo/dto/ItemValue.java: Add copyright header.
	* demo/dto/CreateUserValue.java: Add copyright header.
	* demo/dto/AddressValue.java: Add copyright header.
	* demo/action/CheckOutAction.java: Add copyright header.
	* demo/action/DemoBaseAction.java: Add copyright header.
	* demo/action/DemoBaseDispatchActions.java: Add copyright header.
	* demo/action/ItemCreateAction.java: Add copyright header.
	* demo/action/ItemDispatchActions.java: Add copyright header.
	* demo/action/ItemSaveAction.java: Add copyright header.
	* demo/action/LoginAction.java: Add copyright header.
	* demo/action/TypeCreateAction.java: Add copyright header.
	* demo/action/ViewItemAction.java: Add copyright header.
	* demo/action/UserUpdateAction.java: Add copyright header.
	* demo/action/UserSaveAction.java: Add copyright header.
	* demo/action/UserModAction.java: Add copyright header.
	* demo/action/UserCreateAction.java: Add copyright header.
	* demo/action/TypeSaveAction.java: Add copyright header.
	* demo/action/OrderStatusAction.java: Add copyright header.

2004-09-21  mwringe  <mwringe@redhat.com>

	* demo/session/helper/UserHelperBean.java: Add comments.
	* demo/dto/UserValue.java: Add comments.

2004-09-20  mwringe  <mwringe@redhat.com>

	* demo/validation/Validator.java: Add comments.
	* demo/framework/EJBHomeFactory.java: Add comments.
	* demo/dto/UserValue.java: Add comments.
	* demo/dto/CreateUserValue.java: Add comments.
	* demo/dto/AddressValue.java: Add comments.
	* demo/action/UserUpdateAction.java: Add comments and code clean up. 
	* demo/action/UserSaveAction.java: Add comments and code clean up.
	* demo/action/UserModAction.java: Add comments and code clean up.
	* demo/action/UserCreateAction.java: Add comments and code clean up.

2004-09-17  Vivek Lakshmanan  <vivekl@redhat.com>

	* demo/dto/ShoppingCartItem.java: Make class implement Serializable.
	(getPrice): Use BigDecimal in place of Float for price.
	(setPrice): Ditto.
	* demo/dto/ItemValue.java: Ditto.
	* demo/dto/OrderEntry.java:  Ditto.
	(getOrderCost): Ditto.
	* demo/util/WebUtils.java: Ditto.
	(floatFormat): Remove.
	(floatFormat): Remove.
	(floatDisplay): Convert to costDisplay and use BigDecimal instead of Float.
	* demo/session/helper/ItemHelperBean.java: Use BigDecimal in place of Float for price.
	* demo/session/ShoppingCartBean.java: Remove currentTotal and totalCost.
	(addItemToCart): Mark this method as private so all updates go through updateQuantity().
	(shoppingCartToDTOs): Add to handle creation of DTOs representing state of ShoppingCart.
	(DTOsToShoppingCart): Handle update of shopping cart items' status here.
	(getCostForItem): Use BigDecimal instead of Float.
	* demo/form/CheckoutForm.java: Code/imports cleanup. Change totalCost from Float to BigDecimal.
	(getTotalCost): Remove call to WebUtils.floatFormat(). Return type changed to BigDecimal from Float.
	(setTotalCost): Signature change from (float) to (BigDecimal).
	* demo/entity/OrderBean.java: Use BigDecimal instead of Float.
	(ejbCreate): Signature change from (UserLocal, ... , Float) to (UserLocal, ... , BigDecimal).
	(ejbPostCreate): Ditto.
	(getPricePaid): XDoclet tag change for sql-type - from FLOAT to NUMERIC. Return type = BigDecimal.
	(setPricePaid): Signature change from (Float) to (BigDecimal).
	* demo/action/ViewItemAction.java (execute): Use updateQuantity instead of addItemToCart. 
	* demo/action/CheckOutAction.java: Cleanup of code/imports.
	(copyShoppingCartToForm): Transfer copying logic to Shopping Cart.
    (copyFormToShoppingCart): Ditto.
	* demo/entity/ItemBean.java: Use BigDecimal instead of Float.
	(ejbCreate): Signature change from (String, Float) to (String, BigDecimal).
	(ejbPostCreate): Ditto.
	(getPrice): XDoclet tag change for sql-type - from FLOAT to NUMERIC.
	(setPrice): Signature change from (Float) to (BigDecimal).	
    
2004-09-17  mwringe  <mwringe@redhat.com>

	* demo/dto/UserValue.java: Code clean up.
	* demo/session/helper/UserHelperBean.java: Clean up code.
	* demo/action/ItemCreateAction.java: Fix exceptions.
	* demo/action/UserUpdateAction.java: Clean up code.
	* demo/action/UserSaveAction.java: Clean up code.
	* demo/action/UserModAction.java: Clean up code.
	* demo/action/UserCreateAction.java: Clean up code.

2004-09-15  mwringe  <mwringe@redhat.com>

	* demo/action/LoginAction.java (execute): Change actionforward redirect=true.
	* demo/action/UserUpdateAction.java: Add confirmation message.
	* demo/action/UserSaveAction.java: link to confirm page.
	* demo/action/UserModAction.java (loadUser): remove.
	* demo/action/UserModAction.java: Add cancel button functionality.

2004-09-14  Vivek Lakshmanan  <vivekl@redhat.com>

	* demo/action/LoginAction.java: Clean up import statements.
    (execute): Remove "setMySession" attribute from session.
    
2004-09-14  mwringe  <mwringe@redhat.com>

	* demo/action/UserSaveAction.java: Add duplicate username error.
	* demo/action/UserCreateAction.java: Add cancel button functionality.

2004-09-13  Vivek Lakshmanan  <vivekl@redhat.com>

	* demo/dto/ShoppingCartItem.java: Change Data type of property quantity to String from Integer.
	* demo/action/CheckOutAction.java (copyFormToShoppingCart, copyShoppingCartToForm): Use 
	  String quantity instead of Integer in ShoppingCartItem.
	* demo/validation/Validator.java: Modify some comments.

2004-09-13  Matt Wringe  <mwringe@redhat.com>

	* demo/validation/Validator.java: Custom Validation for createUserForm.

2004-09-13  Vivek Lakshmanan  <vivekl@redhat.com>

	* demo/framework/EJBHomeFactory.java: Import Util classes of the various beans.
	(getLocalHome): Use the various Util classes instead to get cached LocalHomes.
	* demo/entity/AddressBean.java: Fix XDoclet tags for JNDI name and expose only local view.
	* demo/entity/ItemBean.java: Ditto.
	* demo/entity/CommentBean.java: Ditto.
	* demo/entity/FriendBean.java: Ditto.
	* demo/entity/OrderBean.java: Ditto.
	* demo/entity/PictureBean.java: Ditto.
	* demo/entity/PropertyBean.java: Ditto.
	* demo/entity/TypeBean.java: Ditto.
	* demo/entity/UserBean.java: Ditto.
	* demo/session/ShoppingCartBean.java: Ditto.
	* demo/session/helper/ItemHelperBean.java: Ditto.
	* demo/session/helper/TypeHelperBean.java: Ditto.
	* demo/session/helper/UserHelperBean.java: Ditto.
	* demo/action/ItemCreateAction.java (execute): Handle NumberFormatException explicitly.
	* demo/action/TypeCreateAction.java (updateProperties): Ditto.
	* demo/action/ItemSaveAction.java (execute): Print stacktrace for logging purposes on exception.
	

2004-09-08  Andrew Overholt  <overholt@redhat.com>

	* demo/action/UserCreateAction.java: Clean up imports.
	* demo/action/UserSaveAction.java: Ditto.
	* demo/action/UserUpdateAction.java: Ditto.
	* demo/dto/CreateUserValue.java: Ditto.
	* demo/framework/EJBHomeFactory.java: Ditto.
	* demo/session/helper/ItemHelperBean.java: Ditto.
	* demo/session/helper/TypeHelperBean.java: Ditto.
	* demo/session/ShoppingCartBean.java: Ditto.


2004-09-07  Vivek Lakshmanan  <vivekl@redhat.com>

	* demo/action/CheckOutAction.java: Handle checkout specific action. static access to EJBHomeFactory.
	* demo/action/ItemSaveAction.java: Static access to EJBHomeFactory.
	* demo/action/LoginAction.java: Handles login actions. static access to EJBHomeFactory. 
	* demo/action/OrderStatusAction.java: Handles order status change.
	* demo/action/TypeCreateAction.java: Remove unused imports.
	* demo/action/ItemCreateAction.java: Ditto.
	* demo/action/TypeSaveAction.java: Ditto.
	* demo/action/ViewItemAction.java: Ditto.
	* demo/dto/TypeValue.java: Ditto.
	* demo/entity/PictureBean.java: Ditto.
	* demo/form/CreateTypeForm.java: Ditto.
	* demo/form/DemoBaseForm.java: Ditto.
	* demo/form/DemoDynaBaseForm.java: Ditto.
	* demo/global/DemoRequestProcessor.java: Ditto.
	* demo/entity/OrderBean.java (getUser): Made getUser() an interface method. 
	* demo/action/UserCreateAction.java: User creation actions.
	* demo/action/UserModAction.java: User information modification actions.
	* demo/action/UserSaveAction.java: User information saving actions.
	* demo/action/UserUpdateAction.java: User information update actions.
	* demo/dto/AddressValue.java: Add address data holder.
	* demo/dto/CreateUserValue.java: Add DTO for users.
	* demo/dto/OrderEntry.java: Add DTO for orders.
	* demo/dto/ShoppingCartItem.java: Add DTO for shopping cart item.
	* demo/dto/UserValue.java: Add DTO for users. Includes user's friends.	
	* demo/form/CheckoutForm.java: Add form for the checkout page.
	* demo/framework/EJBHomeFactory.java: Add USER_HELPER location string.
	* demo/session/helper/TypeHelperBean.java: Static access to EJBHomeFactory.
	* demo/session/helper/UserHelperBean.java: Help with adding and creating users.
	* demo/form/UpdateOrderStatusForm.java: Add update order status form framework. 	

2004-09-07  Andrew Overholt  <overholt@redhat.com>

	* demo/session/helper/ItemHelperBean.java (createItem): Use boolean
	instead of string values for mainPage and specialOffer.
	* demo/entity/ItemBean.java (getMainPage): Ditto.
	(setMainPage): Ditto.
	(getSpecialOffer): Ditto.
	(setSpecialOffer): Ditto.
	* demo/dto/ItemValue.java (getMainPage): Ditto.
	(setMainPage): Ditto.
	(getSpecialOffer): Ditto.
	(setSpecialOffer): Ditto.
	* demo/entity/PropertyBean.java (setValue): Correct typo.
	* demo/entity/CommentBean.java (setUser): Add missing interface-method
	xdoclet tag.
	* demo/entity/FriendBean.java (setUser): Ditto.

2004-09-03  Andrew Overholt  <overholt@redhat.com>

	* demo/entity/AddressBean.java: Fix transaction type.
	* demo/entity/CommentBean.java: Ditto.
	* demo/entity/FriendBean.java: Ditto.
	* demo/entity/ItemBean.java: Ditto.
	* demo/entity/OrderBean.java: Ditto.
	* demo/entity/PictureBean.java: Ditto.
	* demo/entity/PropertyBean.java: Ditto.
	* demo/entity/TypeBean.java: Ditto.
	* demo/entity/UserBean.java: Ditto.
	* demo/session/ShoppingCartBean.java: Fix imports.  Use factory.
	* demo/session/helper/TypeHelperBean.java: Add missing EJB references.
	* demo/session/helper/ItemHelperBean.java: Add missing EJB references.
	Use factory.

2004-09-02  Andrew Overholt  <overholt@redhat.com>

	* demo/action/CheckOutAction.java: Initial checkin.
	* demo/action/OrderStatusAction.java: Ditto.
	* demo/dto/OrderEntry.java: Ditto.
	* demo/dto/ShoppingCartItem.java: Ditto.
	* demo/form/CheckoutForm.java: Ditto.
	* demo/form/UpdateOrderStatusForm.java: Ditto.
	* demo/session/ShoppingCartBean.java: Update to Vivek's changes on
	other trunk.

2004-09-01  Andrew Overholt  <overholt@redhat.com>

	* demo/entity/UserBean.java (isAdmin):  Make interface method.
	* demo/entity/ItemBean.java:  Add xdoclet tags for interface methods.
	* demo/entity/UserBean.java:  Ditto.

2004-08-31  Andrew Overholt  <overholt@redhat.com>

	* demo/framework/EJBHomeFactory.java:  Fix typo in ShoppingCart EJB.

	* Changelog: Initial checkin.
